<template>
<div class="container pl-30">
<carousel-3d>
  <slide :index="0">
     <img src="@/assets/1.png"  v-cosha  />
  </slide>
  <slide :index="1">
    <img src="@/assets/2.png" v-cosha />
  </slide>
   <slide :index="2">
     <img src="@/assets/3.png" v-cosha />
  </slide>
  <slide :index="3">
    <img src="@/assets/4.png" v-cosha />
  </slide>
   <slide :index="4">
     <img src="@/assets/1.png" v-cosha />
  </slide>
  <slide :index="5">
    <img src="@/assets/2.png" v-cosha />
  </slide>
     <slide :index="6">
     <img src="@/assets/3.png" v-cosha />
  </slide>
  <slide :index="7">
    <img src="@/assets/4.png" v-cosha />
  </slide>
</carousel-3d>


 <!-- Productos -->
    <section class="container ">
      <div class="row">
        <div class="col-12 mx-auto">

          <div class="col-md-3 ">
            <a href="http://www.belmakosmetik.com/">
              <img  src="@/assets/img/logos/belma.png" class="img-fluid img1" alt="Responsive image" >
            </a>
          </div>

          <div class="col-md-3 ">
            <a href="http://www.schwarzkopf-professional.es/skp/es/es/home.html">
              <img class="img-fluid" alt="Responsive image" src="@/assets/img/logos/schwarzkopf.png" >
            </a>
          </div>

          <div class="col-md-3 ">
            <a href="http://nirvel.es/">
              <img class="img-fluid" alt="Responsive image" src="@/assets/img/logos/nirvel.png" >
            </a>
          </div>
         
       
        </div>
      </div>
    </section>



<div class="container">

          <div class="row">
            <div class="col-md-3 md-3">
              <div class="card mb-3 box-shadow">
                <img class="card-img-top"  v-cosha="{ blur: '5px' }" data-src="holder.js/100px225?theme=thumb&amp;bg=55595c&amp;fg=eceeef&amp;text=Thumbnail" alt="Thumbnail [100%x225]" style="height: 170px; width: 100%; display: block;" src="@/assets/product1.png" data-holder-rendered="true">
               <h4 class="mx-auto mt-3">Manly beard balm kit</h4>
                <div class="card-body">
                  <p class="card-text"> The monkey-rope is found in all whalers; but it was only in the
                                        Pequod that the monkey and his holder were ever tied together.
                                        This improvement upon the original.</p>
                  <div class="d-flex justify-content-between align-items-center">
                      <button type="button" class="btn btn-sm btn-outline-secondary">reserve</button>
                    <small class="text-muted">59€</small>
                  </div>
                </div>
              </div>
            </div>
      
 <div class="col-md-3">
              <div class="card mb-3 box-shadow">
                <img class="card-img-top" v-cosha data-src="holder.js/100px225?theme=thumb&amp;bg=55595c&amp;fg=eceeef&amp;text=Thumbnail" alt="Thumbnail [100%x225]" style="height: 170px; width: 100%; display: block;" src="@/assets/product2.png" data-holder-rendered="true">
               <h4 class="mx-auto mt-3">Beard and moustache trimming set</h4>
                <div class="card-body">
                  <p class="card-text"> The monkey-rope is found in all whalers; but it was only in the
                                        Pequod that the monkey and his holder were ever tied together.
                                        This improvement upon the original.</p>
                  <div class="d-flex justify-content-between align-items-center">
                      <button type="button" class="btn btn-sm btn-outline-secondary">reserve</button>
                    <small class="text-muted">39€</small>
                  </div>
                </div>
              </div>
            </div>
      
      <div class="col-md-3">
              <div class="card mb-3 box-shadow">
                <img class="card-img-top" v-cosha data-src="holder.js/100px225?theme=thumb&amp;bg=55595c&amp;fg=eceeef&amp;text=Thumbnail" alt="Thumbnail [100%x225]" style="height: 170px; width: 100%; display: block;" src="@/assets/product3.png" data-holder-rendered="true">
                <h4 class="mx-auto mt-3" >Beard oul and activated charcoal</h4>
                <div class="card-body">
                  <p class="card-text">  The monkey-rope is found in all whalers; but it was only in the
              Pequod that the monkey and his holder were ever tied together.
              This improvement upon the original.</p>
                  <div class="d-flex justify-content-between align-items-center">
                      <button type="button" class="btn btn-sm btn-outline-secondary">reserve</button>
                    <small class="text-muted">39€</small>
                  </div>
                </div>
              </div>
            </div>


 <div class="col-md-3">
              <div class="card mb-3 box-shadow">
                <img class="card-img-top" v-cosha data-src="holder.js/100px225?theme=thumb&amp;bg=55595c&amp;fg=eceeef&amp;text=Thumbnail" alt="Thumbnail [100%x225]" style="height: 170px; width: 100%; display: block;" src="@/assets/product4.png" data-holder-rendered="true">
               <h4 class="mx-auto mt-3">Lumberjack beard balm</h4>
                <div class="card-body">
                  <p class="card-text">   The monkey-rope is found in all whalers; but it was only in the
              Pequod that the monkey and his holder were ever tied together.
              This improvement upon the original.</p>
                  <div class="d-flex justify-content-between align-items-center">
                  
                      <button type="button" class="btn btn-sm btn-outline-secondary">reserve</button>
                    <small class="text-muted">79€</small>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
  
</template>

<script>
import { Carousel3d, Slide } from 'vue-carousel-3d';
import Vue from "vue";
import VueCosha from "vue-cosha";

Vue.use(VueCosha);
export default {
  name: "HomePageServices",
  components: {
    Carousel3d,
    Slide,
   
  },

};
</script>

<style scoped>

.cosha-wrapper {
height: 171px; 
}

@media only screen and (max-width: 768px) {
  /* For mobile phones: */
  [class*="row"] {
    width:100%;
  }
}
@media only screen and (min-width: 500px) {
  /* For mobile phones: */
  [class*="row11"] {
    width:100%;
      display: flex;
  flex-wrap: nowrap;
  margin: 10px;
  margin: 10px;
  
  }
}
.section__block-p{
  width:250px;
  margin:05px;
margin-left: 80px;
}



</style>